import { NOTIFY_CONTAINER_ID, NOTIFY_STATIC_CONTAINER_ID, } from '../../constants';
const getContainerId = ({ containerId, isStatic, }) => {
    if (containerId) {
        return containerId;
    }
    return isStatic ? NOTIFY_STATIC_CONTAINER_ID : NOTIFY_CONTAINER_ID;
};
export const getNotifyOptions = ({ isStatic, containerId, hideProgressBar, autoClose, ...options }) => ({
    containerId: getContainerId({ containerId, isStatic }),
    hideProgressBar: isStatic || hideProgressBar,
    autoClose: isStatic ? false : autoClose,
    ...options,
});
